Skip to main content
POST
/
v2
/
unsubscribes
/
variables
/
{value}
Unsubscribe Variable
curl --request POST \
  --url https://api.lemlist.com/api/v2/unsubscribes/variables/{value} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lemlist.com/api/v2/unsubscribes/variables/{value}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lemlist.com/api/v2/unsubscribes/variables/{value}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://api.lemlist.com/api/v2/unsubscribes/variables/{value}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lemlist.com/api/v2/unsubscribes/variables/{value}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "_id": "uns_ZfdZWc7dvCqXdgQmb",
  "value": "john.doe@example.com",
  "variable": "john.doe@example.com",
  "source": "api"
}
"No value"
"Failed to unsubscribe variable"

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

value
string
required

The variable value to unsubscribe (email, domain, LinkedIn URL, or phone number)

Response

Success

_id
string

Unique identifier

value
string

The unsubscribed variable

variable
string

Alias of value

source
enum<string>

Origin of the unsubscription

Available options:
api,
bounced,
lead,
user,
abuse